hpp-corbaserver: hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/core_idl/steering-methods.hh>`

Inheritance diagram for hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage >:
[legend]

## Public Member Functions
| SteeringMethodServant (Server *server, const Storage &s)
virtual | ~SteeringMethodServant ()
hpp::core_idl::Path_ptr | call (const floatSeq &q1, const floatSeq &q2)
Public Member Functions inherited from hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Public Types inherited from hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t
Protected Member Functions inherited from hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< core::SteeringMethod, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Constructor & Destructor Documentation

## ◆ SteeringMethodServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage >::SteeringMethodServant | ( | Server * | server,
|  | const Storage & | s
| ) |  |
| inline

## ◆ ~SteeringMethodServant()

template<typename _Base , typename _Storage >

virtual hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage >::~SteeringMethodServant | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ call()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::corbaServer::core_idl::SteeringMethodServant< _Base, _Storage >::call | ( | const floatSeq & | q1,
|  | const floatSeq & | q2
| ) |  |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/core_idl/steering-methods.hh